> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.erp.olist.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar contas bancárias



## OpenAPI

````yaml https://erp.olist.com/public-api/v3/swagger/swagger-mintlify.json get /contas-bancarias
openapi: 3.0.0
info:
  title: Olist ERP API v3
  description: >-
    Documentação completa: <a href="https://api-docs.erp.olist.com"
    target="_blank">https://api-docs.erp.olist.com</a>
  version: '3.1'
servers:
  - url: https://api.tiny.com.br/public-api/v3
security: []
paths:
  /contas-bancarias:
    get:
      tags:
        - Contas Bancárias
      summary: Listar contas bancárias
      operationId: ListarContasBancariasAction
      parameters:
        - $ref: '#/components/parameters/descricaoListarContasBancarias'
        - $ref: '#/components/parameters/bancoListarContasBancarias'
        - $ref: '#/components/parameters/orderBy'
        - $ref: '#/components/parameters/get_contas_bancarias_limit'
        - $ref: '#/components/parameters/get_contas_bancarias_offset'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  itens:
                    type: array
                    items:
                      $ref: >-
                        #/components/schemas/ListagemContasBancariasResponseModel
                  paginacao:
                    $ref: '#/components/schemas/PaginatedResultModel'
                type: object
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDTO'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
        '503':
          description: Service Unavailable
      security:
        - bearerAuth: []
components:
  parameters:
    descricaoListarContasBancarias:
      name: descricao
      in: query
      description: Pesquisa pela descrição da conta bancária
      required: false
      schema:
        type: string
    bancoListarContasBancarias:
      name: banco
      in: query
      description: |-
        Pesquisa pelo código do banco
        - 001 - Banco Brasil
        - 033 - Santander
        - 041 - Banrisul
        - 104 - Caixa Sicob
        - 104_SIGCB - Caixa Sigcb
        - 237 - Bradesco
        - 341 - Itau
        - 399 - Hsbc
        - 748 - Sicredi
        - 756 - Sicoob
        - 004 - Banco Nordeste
        - 422 - Banco Safra
        - 136 - Unicred Brasil
        - 091 - Unicred
        - 197 - Stone
        - 077 - Banco Inter
        - 509 - Olist Bank
        - 509_GUEST - Olist Bank Convidado
        - Outro
      required: false
      schema:
        enum:
          - '001'
          - '033'
          - '041'
          - '104'
          - 104_SIGCB
          - '237'
          - '341'
          - '399'
          - '748'
          - '756'
          - '004'
          - '422'
          - '136'
          - '091'
          - '197'
          - '077'
          - '509'
          - 509_GUEST
          - OUTRO
      x-enumDescriptions:
        - 001 - Banco Brasil
        - 033 - Santander
        - 041 - Banrisul
        - 104 - Caixa Sicob
        - 104_SIGCB - Caixa Sigcb
        - 237 - Bradesco
        - 341 - Itau
        - 399 - Hsbc
        - 748 - Sicredi
        - 756 - Sicoob
        - 004 - Banco Nordeste
        - 422 - Banco Safra
        - 136 - Unicred Brasil
        - 091 - Unicred
        - 197 - Stone
        - 077 - Banco Inter
        - 509 - Olist Bank
        - 509_GUEST - Olist Bank Convidado
        - Outro
    orderBy:
      name: orderBy
      in: query
      description: |-
        Define a ordenação da listagem por ordem crescente ou decrescente
        - asc - Crescente
        - desc - Descrescente
      required: false
      schema:
        enum:
          - asc
          - desc
      x-enumDescriptions:
        - asc - Crescente
        - desc - Descrescente
    get_contas_bancarias_limit:
      name: limit
      in: query
      description: Limite da paginação
      required: false
      schema:
        type: integer
        default: 100
    get_contas_bancarias_offset:
      name: offset
      in: query
      description: Offset da paginação
      required: false
      schema:
        type: integer
        default: 0
  schemas:
    ListagemContasBancariasResponseModel:
      title: ' '
      description: ' '
      properties:
        id:
          type: integer
        descricao:
          type: string
        banco:
          $ref: '#/components/schemas/BancoResponseModel'
      type: object
    PaginatedResultModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            limit:
              type: integer
            offset:
              type: integer
            total:
              type: integer
          type: object
    ErrorDTO:
      title: ' '
      description: ' '
      properties:
        mensagem:
          description: Mensagem de erro geral
          type: string
          example: Ocorreram erros de validação
        detalhes:
          description: Detalhes específicos do erro
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDTO'
          example:
            - campo: codigo
              mensagem: O campo código é obrigatório
          nullable: true
      type: object
    BancoResponseModel:
      title: ' '
      description: ' '
      properties:
        codigo:
          type: string
        descricao:
          type: string
      type: object
    ErrorDetailDTO:
      title: ' '
      description: ' '
      properties:
        campo:
          description: Campo que gerou o erro
          type: string
          example: codigo
        mensagem:
          description: Mensagem de erro específica do campo
          type: string
          example: O campo código é obrigatório
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: Bearer

````